std::experimental::nullopt_t(3cxx)

NAME
std::experimental::nullopt_t - Tag type to disengage optional objects.

SYNOPSIS

#include <optional>

  Public Types

enum class _Construct { _Token }

  Public Member Functions

constexpr nullopt_t (_Construct)

Detailed Description

Tag type to disengage optional objects.

Definition at line 92 of file optional.

Member Enumeration Documentation

  enum class std::experimental::nullopt_t::_Construct [strong]

Definition at line 99 of file optional.

Constructor & Destructor Documentation

  constexpr std::experimental::nullopt_t::nullopt_t (_Construct) [inline], [explicit], [constexpr]

Definition at line 102 of file optional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.